Subject: bug#48949: 28.0.50; Thread-Process Liberalization

From: [email-masked]
Date: Fri, 11 Jun 2021 06:26:28 -0400

Well, this response and that of #bug36609 effectively puts the kibosh on
my dream of Gnus 2.0 (a working version at github.com/dickmao/gnus I
run rather delightedly every day).  It's a more-than-5000 line change thus
far, so given the vigorous pushback on what I considered to be
non-controversial changes in #bug48949 and #bug36609, it never really had a
chance.

Gnus is such an awesome idea, but it is so, so poorly written and obtuse.  In
fairness to its original authors, I could not have written it better if I were
20yo and worked on it alongside a full-time job.  Heck at that age I could
barely piece together a sentence, much less write a kitchen-sink messaging
system in an impoverished, early implementation of elisp.  My narcissism is
such that I feel I'm the only person on the planet with the time and skill to
"Make Gnus Great (MGG)", not "Great Again" since it was never that.